import request from '@/utils/request';

// 不想写
export function infolist(query) {
  return request({
    url: 'mobile/customerClueInfo/infolist',
    method: 'get',
    params: query,
  });
}
export function getCustomerClueInfoById(query) {
  return request({
    url: 'mobile/customerClueInfo/getCustomerClueInfoById',
    method: 'get',
    params: query,
  });
}
export function insertCustomerClueAnswer(data) {
  return request({
    url: 'mobile/customerClueInfo/insertCustomerClueAnswer',
    method: 'post',
    data,
  });
}
export function addPhotoK(data) {
  return request({
    url: 'mobile/customerClueInfo/addPhoto',
    method: 'post',
    data,
  });
}
export function getCustomerClueAnswerById(query) {
  return request({
    url: 'mobile/customerClueInfo/getCustomerClueAnswerById',
    method: 'get',
    params: query,
  });
}
export function getDeptInfo(query) {
  return request({
    url: 'mobile/customerClueInfo/getDeptInfo',
    method: 'get',
    params: query,
  });
}
export function updateCustomerClueDept(query) {
  return request({
    url: 'mobile/customerClueInfo/updateCustomerClueDept',
    method: 'get',
    params: query,
  });
}
//查询客资列表分组
export function getCustomerClueType(query) {
  return request({
    url: 'mobile/customerClueInfo/getCustomerClueType',
    method: 'get',
    params: query,
  });
}
